###############################################################################################################

server:
  port: 8082

spring:
  application:
    name:                               equip-component

  mvc:
    favicon:
      enabled:                          true

  jmx:
    default-domain:                     equip-component

  datasource:
    name:                               equip-component
    type:                               com.alibaba.druid.pool.DruidDataSource
    driver-class-name:                  org.postgresql.Driver
#  datasource:
#    url:                                jdbc:postgresql://172.17.11.222:5432/datacenter
#    username:                           postgres
#    password:                           123qwe\!@#

  jackson:
    date-format:                        yyyy-MM-dd HH:mm:ss
    time-zone:                          Asia/Shanghai
    default-property-inclusion:         non_null
    # 首字母大写
    property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.PascalCaseStrategy
    # 以下划线分隔全小写的单词
    #property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy
    mapper:
      # 属性按字母顺序输出
      sort_properties_alphabetically:   true

  activemq:
    in-memory:                          true
    pool.enabled:                       false
    user:                               admin
    password:                           admin
#    broker-url:                         tcp://172.17.11.222:61616
  jms:
    pub-sub-domain: true

topic:                                 datacenter.broadcast


mybatis:
  typeAliasesPackage:                   cn.sagacloud.server.datacenter.entities
